package com.goafanti.user.service;

import java.util.List;

import com.goafanti.common.model.OrgHumanResource;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrgHumanResourceService {

	Pagination<OrgHumanResource> listOrgHumanResource(Integer year, Integer pageNo, Integer pageSize, String uid);

	OrgHumanResource insert(OrgHumanResource orgHumanResource);

	int updateByPrimaryKeySelective(OrgHumanResource orgHumanResource);

	int batchDeleteByPrimaryKey(List<String> id);

	OrgHumanResource selectOrgHumanResourceByUidAndYear(Integer year, String uid);

	OrgHumanResource selectByPrimaryKey(String id);

}
